> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apikley.ru/llms.txt
> Use this file to discover all available pages before exploring further.

# Elevenlabs speech to text

# elevenlabs/speech-to-text

> Content generation using elevenlabs/speech-to-text

## Query Task Status

After submitting a task, use the unified query endpoint to check progress and retrieve results:

<Card title="Get Task Details" icon="magnifying-glass" href="/market/common/get-task-detail">
  Learn how to query task status and retrieve generation results
</Card>

<Tip>
  For production use, we recommend using the `callBackUrl` parameter to receive automatic notifications when generation completes, rather than polling the status endpoint.
</Tip>

## Related Resources

<CardGroup cols={3}>
  <Card title="Market Overview" icon="store" href="/market/quickstart">
    Explore all available models
  </Card>

  <Card title="File Upload API" icon="upload" href="/file-upload-api/quickstart">
    Learn how to upload and manage files
  </Card>

  <Card title="Common API" icon="gear" href="/common-api/get-account-credits">
    Check credits and account usage
  </Card>
</CardGroup>

> Rate limits and quotas are enforced by Apikley and may differ from upstream providers.

## OpenAPI

```yaml market/elevenlabs/speech-to-text.json post /api/v1/jobs/createTask theme={null}
openapi: 3.0.0
info:
  title: Elevenlabs API
  description: Apikley Elevenlabs API Documentation - undefined
  version: 1.0.0
  contact:
    name: Technical Support
    email: support@apikley.ru
servers:
  - url: https://api.apikley.ru
    description: API Server
security:
  - BearerAuth: []
paths:
  /api/v1/jobs/createTask:
    post:
      summary: Generate content using elevenlabs/speech-to-text
      operationId: elevenlabs-speech-to-text
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - model
              properties:
                model:
                  type: string
                  enum:
                    - elevenlabs/speech-to-text
                  default: elevenlabs/speech-to-text
                  description: |-
                    The model name to use for generation. Required field.

                    - Must be `elevenlabs/speech-to-text` for this endpoint
                  example: elevenlabs/speech-to-text
                callBackUrl:
                  type: string
                  format: uri
                  description: >-
                    The URL to receive generation task completion updates.
                    Optional but recommended for production use.


                    - System will POST task status and results to this URL when
                    generation completes

                    - Callback includes generated content URLs and task
                    information

                    - Your callback endpoint should accept POST requests with
                    JSON payload containing results

                    - Alternatively, use the Get Task Details endpoint to poll
                    task status
                  example: https://your-domain.com/api/callback
                input:
                  type: object
                  description: Input parameters for the generation task
                  properties:
                    audio_url:
                      description: >-
                        URL of the audio file to transcribe (File URL after
                        upload, not file content; Accepted types: audio/mpeg,
                        audio/wav, audio/x-wav, audio/aac, audio/mp4, audio/ogg;
                        Max size: 200.0MB)
                      type: string
                      example: >-
                        https://file.aiquickdraw.com/custom-page/akr/section-images/1757157053357tn37vxc8.mp3
                    language_code:
                      description: 'Language code of the audio (Max length: 500 characters)'
                      type: string
                      maxLength: 500
                      example: ''
                    tag_audio_events:
                      description: >-
                        Tag audio events like laughter, applause, etc. (Boolean
                        value (true/false))
                      type: boolean
                      example: true
                    diarize:
                      description: >-
                        Whether to annotate who is speaking (Boolean value
                        (true/false))
                      type: boolean
                      example: true
                  required:
                    - audio_url
            example:
              model: elevenlabs/speech-to-text
              callBackUrl: https://your-domain.com/api/callback
              input:
                audio_url: >-
                  https://file.aiquickdraw.com/custom-page/akr/section-images/1757157053357tn37vxc8.mp3
                language_code: ''
                tag_audio_events: true
                diarize: true
      responses:
        '200':
          description: Request successful
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ApiResponse'
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          taskId:
                            type: string
                            description: >-
                              Task ID, can be used with Get Task Details
                              endpoint to query task status
                            example: task_elevenlabs_1765185413162
              example:
                code: 200
                msg: success
                data:
                  taskId: task_elevenlabs_1765185413162
        '500':
          $ref: '#/components/responses/Error'
components:
  schemas:
    ApiResponse:
      type: object
      properties:
        code:
          type: integer
          enum:
            - 200
            - 401
            - 402
            - 404
            - 422
            - 429
            - 455
            - 500
            - 501
            - 505
          description: >-
            Response status code


            - **200**: Success - Request has been processed successfully

            - **401**: Unauthorized - Authentication credentials are missing or
            invalid

            - **402**: Insufficient Credits - Account does not have enough
            credits to perform the operation

            - **404**: Not Found - The requested resource or endpoint does not
            exist

            - **422**: Validation Error - The request parameters failed
            validation checks

            - **429**: Rate Limited - Request limit has been exceeded for this
            resource

            - **455**: Service Unavailable - System is currently undergoing
            maintenance

            - **500**: Server Error - An unexpected error occurred while
            processing the request

            - **501**: Generation Failed - Content generation task failed

            - **505**: Feature Disabled - The requested feature is currently
            disabled
        msg:
          type: string
          description: Response message, error description when failed
          example: success
  responses:
    Error:
      description: Server Error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        All APIs require authentication via Bearer Token.


        Get API Key:

        1. Visit [API Key Management Page](https://app.apikley.ru/keys) to get your
        API Key


        Usage:

        Add to request header:

        Authorization: Bearer APIKLEY_API_KEY


        Note:

        - Keep your API Key secure and do not share it with others

        - If you suspect your API Key has been compromised, reset it immediately
        in the management page

```

***

> To find navigation and other pages in this documentation, fetch the llms.txt file at: [https://docs.apikley.ru/llms.txt](https://docs.apikley.ru/llms.txt)
